Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 715650 - net-wireless/srslte-19.09 : /.../dft_fftw.c: fatal error: fftw3.h: No such file or directory
Summary: net-wireless/srslte-19.09 : /.../dft_fftw.c: fatal error: fftw3.h: No such fi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Radio Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: missing-musl-includes
  Show dependency tree
 
Reported: 2020-03-31 17:19 UTC by Toralf Förster
Modified: 2020-07-23 16:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.58 KB, text/plain)
2020-03-31 17:19 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,141.40 KB, text/plain)
2020-03-31 17:19 UTC, Toralf Förster
Details
environment (environment,91.70 KB, text/plain)
2020-03-31 17:19 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.17 KB, application/x-bzip)
2020-03-31 17:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.99 KB, application/x-bzip)
2020-03-31 17:20 UTC, Toralf Förster
Details
net-wireless:srslte-19.09:20200331-165831.log (net-wireless:srslte-19.09:20200331-165831.log,161.31 KB, text/plain)
2020-03-31 17:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,29.49 KB, application/x-bzip)
2020-03-31 17:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-03-31 17:19:49 UTC
/var/tmp/portage/net-wireless/srslte-19.09/work/srslte-19.09/lib/src/phy/dft/dft_fftw.c:24:10: fatal error: fftw3.h: No such file or directory
   24 | #include <fftw3.h>
      |          ^~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-libressl-20200329-031625

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.42.0 *
The Glorious Glasgow Haskell Compilation System, version 8.0.2

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Tue 31 Mar 2020 03:51:58 PM UTC
/var/db/repos/libressl	Thu 19 Mar 2020 04:37:24 PM UTC

emerge -qpvO net-wireless/srslte
[ebuild  N    ] net-wireless/srslte-19.09  USE="-bladerf -simcard -soapysdr -uhd -zeromq"
Comment 1 Toralf Förster gentoo-dev 2020-03-31 17:19:51 UTC
Created attachment 628052 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-31 17:19:54 UTC
Created attachment 628054 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-03-31 17:19:57 UTC
Created attachment 628056 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-03-31 17:20:00 UTC
Created attachment 628058 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-03-31 17:20:03 UTC
Created attachment 628060 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-03-31 17:20:06 UTC
Created attachment 628062 [details]
net-wireless:srslte-19.09:20200331-165831.log
Comment 7 Toralf Förster gentoo-dev 2020-03-31 17:20:08 UTC
Created attachment 628064 [details]
temp.tbz2
Comment 8 Rick Farina (Zero_Chaos) gentoo-dev 2020-07-23 16:12:15 UTC
the slot dep on fftw was wrong, fixed now, thanks!